
echo ""
echo "  Modifying $top/config/Project.tmpl"

mv -f $top/config/Project.tmpl $top/config/Project.tmpl.$bak
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't move Project.tmpl to Project.tmpl.$bak"
	exit
fi

cp $top/config/Project.tmpl.$bak $top/config/Project.tmpl
chmod u+rw $top/config/Project.tmpl

ed - $top/config/Project.tmpl << '-*-END-*-'
g/#if[a-z]* *BuildSyncExt/.,/#endif/d
g/#if[a-z]* *SyncDefines/.,/#endif/d
g/XSyncDefines/s/ *XSyncDefines//g
/#ifndef BuildXInputExt/i
#ifndef BuildSyncExt
#define BuildSyncExt		YES
#endif
.
/#ifndef XInputDefines/i
#ifndef SyncDefines
#if BuildSyncExt
#define SyncDefines -DSYNC
#else
#define SyncDefines /**/
#endif
#endif
.
/#define BaseExtensionDefines/s/$/ SyncDefines/
w
q
-*-END-*-

chmod u-w $top/config/Project.tmpl

grep -s BuildSyncExt $top/config/Project.tmpl
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't modify Project.tmpl"
	exit
fi

